commit:     4b12892394574d09d8b08b09f5c78ccbfe64ed70
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 31 10:35:29 2025 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Mar 31 10:36:01 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b128923

dev-python/pdoc3: add 0.11.6

Closes: https://bugs.gentoo.org/952357
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-python/pdoc3/Manifest            |  1 +
 dev-python/pdoc3/pdoc3-0.11.6.ebuild | 38 ++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/pdoc3/Manifest b/dev-python/pdoc3/Manifest
index 0a7de95bb9f0..1ec010306a4b 100644
--- a/dev-python/pdoc3/Manifest
+++ b/dev-python/pdoc3/Manifest
@@ -1 +1,2 @@
 DIST pdoc3-0.11.5.tar.gz 99496 BLAKE2B 
aae4be92df6e2c6640291fbe4f05c9a81c0170051caa7e0f2a1fd8c58b65ff3018232ab16d1f02c921c5f777ad9951906ece24784bc14a2bd566843a1e6c7d9c
 SHA512 
31c7fb9e2fbf4337efa912ec3fd2d662b920e53ca3b434bf00f71d215c19eec570d63bbe8863841150eb2e246609a340737d9030c7f9dd9949669eb789b96cdc
+DIST pdoc3-0.11.6.tar.gz 177107 BLAKE2B 
531fd298bdb252fca9de3a4ac2be94b168541af86cef88e0896817975005ef695f172606217157bb65511bf9a26ee9a3631119ba94cf6d78d01e29bf228c0fac
 SHA512 
65ce529d7aa6c00706c26d26abca2d99c6eb3af7e01b7064f62d8fc25a3829af02ccf808b101063abba6beb1e9901d0c9c80dfc5369ccf0a4b7cd8d46380faf1

diff --git a/dev-python/pdoc3/pdoc3-0.11.6.ebuild 
b/dev-python/pdoc3/pdoc3-0.11.6.ebuild
new file mode 100644
index 000000000000..f667c880b6e7
--- /dev/null
+++ b/dev-python/pdoc3/pdoc3-0.11.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Auto-generate API documentation for Python projects"
+HOMEPAGE="https://pdoc3.github.io/pdoc/";
+
+LICENSE="AGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/mako[${PYTHON_USEDEP}]
+       >=dev-python/markdown-3.0[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       sed -i \
+               -e "/setuptools_git/d" \
+               -e "/setuptools_scm/d" \
+               setup.py || die
+
+       # deselect tests
+       sed -i \
+               -e 's:test_Variable_type_annotation_py36plus:_&:' \
+               -e 's:test_doc_comment_docstrings:_&:' \
+               pdoc/test/__init__.py || die
+}
+
+distutils_enable_tests unittest

Reply via email to